import { AframeRegistryEntry } from "../../interfaces";
import { ComponentDefinition } from "aframe";
interface AlVolumeDefinition extends ComponentDefinition {
    addListeners(): void;
    bindMethods(): void;
    createVolumePlane(): void;
    handleStack(stack: any): void;
    onInteraction(event: CustomEvent): void;
    onInteractionFinished(event: CustomEvent): void;
    removeListeners(): void;
    renderBufferScene(): void;
    tickFunction(): void;
}
export declare class AlVolumeComponent implements AframeRegistryEntry {
    static readonly Object: AlVolumeDefinition;
    static readonly Tag: string;
}
export declare class AlVolumeEvents {
    static LOADED: string;
    static ERROR: string;
    static RENDER_LOW: string;
    static RENDER_FULL: string;
}
export {};
